nxt.http

## Class JSONData

- java.lang.Object
- - nxt.http.JSONData

-     public final class JSONData
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.json.simple.JSONObject` | `accountMonitor(FundingMonitor monitor, boolean includeMonitoredAccounts, boolean includeHoldingInfo)`
    `static org.json.simple.JSONObject` | `bundler(Bundler bundler)`
    `static org.json.simple.JSONObject` | `contract(Contract contract)`
    `static org.json.simple.JSONObject` | `contractReference(ContractReference contractReference, boolean includeContract)`
    `static org.json.simple.JSONObject` | `monitoredAccount(FundingMonitor.MonitoredAccount account)`
    `static org.json.simple.JSONObject` | `phasingOnly(AccountRestrictions.PhasingOnly phasingOnly)`
    `static void` | `putAccount(org.json.simple.JSONObject json, java.lang.String name, long accountId)`
    `static org.json.simple.JSONObject` | `standbyShuffler(StandbyShuffler standbyShuffler, boolean includeHoldingInfo)`
    `static org.json.simple.JSONObject` | `transaction(Transaction transaction)`
    `static org.json.simple.JSONObject` | `unconfirmedTransaction(Transaction transaction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### phasingOnly

          public static org.json.simple.JSONObject phasingOnly(AccountRestrictions.PhasingOnly phasingOnly)

    - #### unconfirmedTransaction

          public static org.json.simple.JSONObject unconfirmedTransaction(Transaction transaction)

    - #### transaction

          public static org.json.simple.JSONObject transaction(Transaction transaction)

    - #### accountMonitor

          public static org.json.simple.JSONObject accountMonitor(FundingMonitor monitor,
                                                                  boolean includeMonitoredAccounts,
                                                                  boolean includeHoldingInfo)

    - #### monitoredAccount

          public static org.json.simple.JSONObject monitoredAccount(FundingMonitor.MonitoredAccount account)

    - #### bundler

          public static org.json.simple.JSONObject bundler(Bundler bundler)

    - #### contractReference

          public static org.json.simple.JSONObject contractReference(ContractReference contractReference,
                                                                     boolean includeContract)

    - #### contract

          public static org.json.simple.JSONObject contract(Contract contract)

    - #### putAccount

          public static void putAccount(org.json.simple.JSONObject json,
                                        java.lang.String name,
                                        long accountId)

    - #### standbyShuffler

          public static org.json.simple.JSONObject standbyShuffler(StandbyShuffler standbyShuffler,
                                                                   boolean includeHoldingInfo)